commit:     d0b78893168665b57ab6e93ffc29e4c0a1c519d0
Author:     end222 <pabloorduna98 <AT> gmail <DOT> com>
AuthorDate: Sat Apr 11 21:25:27 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Mon Apr 13 08:31:18 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d0b78893

x11-terms/kitty-terminfo: split live ebuild

Signed-off-by: Pablo Orduna <pabloorduna98 <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/15308
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 .../kitty-terminfo/kitty-terminfo-9999.ebuild      | 39 ++++++++++++++++++++++
 1 file changed, 39 insertions(+)

diff --git a/x11-terms/kitty-terminfo/kitty-terminfo-9999.ebuild 
b/x11-terms/kitty-terminfo/kitty-terminfo-9999.ebuild
new file mode 100644
index 00000000000..b43704ce0df
--- /dev/null
+++ b/x11-terms/kitty-terminfo/kitty-terminfo-9999.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit python-any-r1 toolchain-funcs xdg git-r3
+
+DESCRIPTION="Terminfo for kitty, an OpenGL-based terminal emulator"
+HOMEPAGE="https://github.com/kovidgoyal/kitty";
+EGIT_REPO_URI="https://github.com/kovidgoyal/kitty.git";
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE="debug"
+
+DEPEND="${PYTHON_DEPS}"
+
+PATCHES=(
+       "${FILESDIR}"/kitty-terminfo-setup-0.17.2.patch
+)
+
+# kitty-terminfo is a split package from kitty that only installs the terminfo
+# file. As tests are designed to be run with the whole package compiled they
+# would fail in this case.
+RESTRICT="test"
+
+src_compile() {
+       "${EPYTHON}" setup.py \
+               --verbose $(usex debug --debug "") \
+               --libdir-name $(get_libdir) \
+               linux-terminfo || die "Failed to compile kitty."
+}
+
+src_install() {
+       insinto /usr
+       doins -r linux-package/*
+}

Reply via email to